6.0.0-git
2019-05-19

[#14568] calendar sharing permissions: viewing and reading events lead to the same
Summary calendar sharing permissions: viewing and reading events lead to the same
Queue Kronolith
Queue Version 4.2.19
Type Bug
State Resolved
Priority 3. High
Owners mrubinsk (at) horde (dot) org
Requester cne (at) ruhrverband (dot) de
Created 2017-01-27 (842 days ago)
Due 01/30/2017 (839 days ago)
Updated 2017-10-20 (576 days ago)
Assigned 2017-01-27 (842 days ago)
Resolved 2017-03-27 (783 days ago)
Milestone
Patch No

History
2017-10-20 20:34:40 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 2c0bbe1133f4222eddac85169b700f6fbb947552
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed, 01 Feb 2017 15:22:32 -0500

Bug: 14568 Fix regression in honoring SHOW vs READ  perms.

  M lib/Event.php

https://github.com/horde/kronolith/commit/2c0bbe1133f4222eddac85169b700f6fbb947552
2017-03-27 16:36:13 Michael Rubinsky State ⇒ Resolved
 
2017-02-01 20:23:39 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit a32314ab7ee34c05d2915206ad8525efdd1e6032
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jan 27 14:52:44 2017 -0500

     Bug: 14568 Fix regression in honoring SHOW vs READ  perms.

  kronolith/lib/Event.php | 3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/a32314ab7ee34c05d2915206ad8525efdd1e6032
2017-01-27 19:54:02 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 9e217c19be2a6abc68bb530a7a1535eefd30891f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jan 27 14:52:44 2017 -0500

     Bug: 14568 Fix regression in honoring SHOW vs READ  perms.

  kronolith/lib/Event.php | 3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/9e217c19be2a6abc68bb530a7a1535eefd30891f
2017-01-27 17:52:59 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
Confirmed this regressed at some point.
2017-01-27 09:32:23 cne (at) ruhrverband (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ calendar sharing permissions: viewing and reading events lead to the same
Due ⇒ 2017-01-30
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi!

I don`t know since this problem is there, but we noticed now that if 
you share a calendar just for viewing and not for reading, even title 
and content is readable.
I´m afraid if this is not only for us a problem?!

Best Regards

Saved Queries